Index: data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezGreenLook.looknfeel
===================================================================
--- data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezGreenLook.looknfeel	(revision 11790)
+++ data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezGreenLook.looknfeel	(revision 11792)
@@ -734,85 +910,111 @@
         <NamedArea name="ClientNoTitleNoFrame">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
         </NamedArea>
-        <Child type="TaharezGreenLook/Titlebar" nameSuffix="__auto_titlebar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><FontDim type="LineSpacing" padding="8" /></Dim>
+        <Child nameSuffix="__auto_titlebar__" type="TaharezGreenLook/Titlebar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <FontDim padding="8" type="LineSpacing" />
+                </Dim>
             </Area>
             <Property name="AlwaysOnTop" value="False" />
         </Child>
-        <Child type="TaharezGreenLook/SystemButton" nameSuffix="__auto_closebutton__">
-            <Area>
-                <Dim type="LeftEdge" >
-                    <UnifiedDim scale="1" type="LeftEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezGreenLook" image="SysAreaRight" dimension="Width">
-                                <DimOperator op="Add">
-                                    <ImageDim imageset="TaharezGreenLook" image="SysAreaMiddle" dimension="Width" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="TopEdge" >
-                    <AbsoluteDim value="0.5">
-                        <DimOperator op="Multiply">
-                            <WidgetDim widget="__auto_titlebar__" dimension="Height">
-                                <DimOperator op="Subtract">
-                                    <ImageDim imageset="TaharezGreenLook" image="NewCloseButtonNormal" dimension="Width" />
-                                </DimOperator>
-                            </WidgetDim>
-                        </DimOperator>
-                    </AbsoluteDim>
-                </Dim>
-                <Dim type="Width" ><ImageDim imageset="TaharezGreenLook" image="NewCloseButtonNormal" dimension="Width" /></Dim>
-                <Dim type="Height" ><ImageDim imageset="TaharezGreenLook" image="NewCloseButtonNormal" dimension="Width" /></Dim>
+        <Child nameSuffix="__auto_closebutton__" type="TaharezGreenLook/SystemButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="LeftEdge" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Width" name="TaharezGreenLook/SysAreaRight" />
+                            <ImageDim dimension="Width" name="TaharezGreenLook/SysAreaMiddle" />
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Multiply">
+                        <AbsoluteDim value="0.5" />
+                        <OperatorDim op="Subtract">
+                            <WidgetDim dimension="Height" widget="__auto_titlebar__" />
+                            <ImageDim dimension="Width" name="TaharezGreenLook/NewCloseButtonNormal" />
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Width">
+                    <ImageDim dimension="Width" name="TaharezGreenLook/NewCloseButtonNormal" />
+                </Dim>
+                <Dim type="Height">
+                    <ImageDim dimension="Width" name="TaharezGreenLook/NewCloseButtonNormal" />
+                </Dim>
             </Area>
             <Property name="AlwaysOnTop" value="True" />
-            <Property name="NormalImage" value="set:TaharezGreenLook image:NewCloseButtonNormal" />
-            <Property name="HoverImage" value="set:TaharezGreenLook image:NewCloseButtonHover" />
-            <Property name="PushedImage" value="set:TaharezGreenLook image:NewCloseButtonPressed" />
+            <Property name="NormalImage" value="TaharezGreenLook/NewCloseButtonNormal" />
+            <Property name="HoverImage" value="TaharezGreenLook/NewCloseButtonHover" />
+            <Property name="PushedImage" value="TaharezGreenLook/NewCloseButtonPressed" />
         </Child>
         <ImagerySection name="withtitle_frame">
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><WidgetDim widget="__auto_titlebar__" dimension="BottomEdge" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1" type="BottomEdge" /></Dim>
-                </Area>
-                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="WindowBottomLeft" />
-                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="WindowBottomRight" />
-                <Image type="LeftEdge" imageset="TaharezGreenLook" image="WindowLeftEdge" />
-                <Image type="RightEdge" imageset="TaharezGreenLook" image="WindowRightEdge" />
-                <Image type="BottomEdge" imageset="TaharezGreenLook" image="WindowBottomEdge" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <WidgetDim dimension="BottomEdge" widget="__auto_titlebar__" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image component="BottomLeftCorner" name="TaharezGreenLook/WindowBottomLeft" />
+                <Image component="BottomRightCorner" name="TaharezGreenLook/WindowBottomRight" />
+                <Image component="LeftEdge" name="TaharezGreenLook/WindowLeftEdge" />
+                <Image component="RightEdge" name="TaharezGreenLook/WindowRightEdge" />
+                <Image component="BottomEdge" name="TaharezGreenLook/WindowBottomEdge" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="WindowTopLeft" dimension="Width" /></Dim>
-                    <Dim type="TopEdge" ><WidgetDim widget="__auto_titlebar__" dimension="BottomEdge" /></Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1" type="Width">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezGreenLook" image="WindowTopRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1" type="Height">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezGreenLook" image="WindowBottomEdge" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="TaharezGreenLook" image="GenericBrush" />
+                    <Dim type="LeftEdge">
+                        <ImageDim dimension="Width" name="TaharezGreenLook/WindowTopLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <WidgetDim dimension="BottomEdge" widget="__auto_titlebar__" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Width" />
+                            <ImageDim dimension="Width" name="TaharezGreenLook/WindowTopRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Height" />
+                            <ImageDim dimension="Height" name="TaharezGreenLook/WindowBottomEdge" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="TaharezGreenLook/GenericBrush" />
                 <ColourProperty name="ClientAreaColour" />
                 <VertFormat type="Stretched" />
@@ -823,37 +1025,47 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="TaharezGreenLook" image="WindowTopLeft" />
-                <Image type="TopRightCorner" imageset="TaharezGreenLook" image="WindowTopRight" />
-                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="WindowBottomLeft" />
-                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="WindowBottomRight" />
-                <Image type="LeftEdge" imageset="TaharezGreenLook" image="WindowLeftEdge" />
-                <Image type="RightEdge" imageset="TaharezGreenLook" image="WindowRightEdge" />
-                <Image type="BottomEdge" imageset="TaharezGreenLook" image="WindowBottomEdge" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="TaharezGreenLook/WindowTopLeft" />
+                <Image component="TopRightCorner" name="TaharezGreenLook/WindowTopRight" />
+                <Image component="BottomLeftCorner" name="TaharezGreenLook/WindowBottomLeft" />
+                <Image component="BottomRightCorner" name="TaharezGreenLook/WindowBottomRight" />
+                <Image component="LeftEdge" name="TaharezGreenLook/WindowLeftEdge" />
+                <Image component="RightEdge" name="TaharezGreenLook/WindowRightEdge" />
+                <Image component="BottomEdge" name="TaharezGreenLook/WindowBottomEdge" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="WindowTopLeft" dimension="Width" /></Dim>
-                    <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="WindowTopEdge" dimension="Width" /></Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1" type="Width">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezGreenLook" image="WindowTopRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1" type="Height">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezGreenLook" image="WindowBottomEdge" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="TaharezGreenLook" image="GenericBrush" />
+                    <Dim type="LeftEdge">
+                        <ImageDim dimension="Width" name="TaharezGreenLook/WindowTopLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Width" name="TaharezGreenLook/WindowTopEdge" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Width" />
+                            <ImageDim dimension="Width" name="TaharezGreenLook/WindowTopRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Height" />
+                            <ImageDim dimension="Height" name="TaharezGreenLook/WindowBottomEdge" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="TaharezGreenLook/GenericBrush" />
                 <ColourProperty name="ClientAreaColour" />
                 <VertFormat type="Stretched" />
@@ -864,10 +1076,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><WidgetDim widget="__auto_titlebar__" dimension="Height" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="TaharezGreenLook" image="GenericBrush" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <WidgetDim dimension="Height" widget="__auto_titlebar__" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezGreenLook/GenericBrush" />
                 <ColourProperty name="ClientAreaColour" />
                 <VertFormat type="Stretched" />
@@ -878,10 +1098,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="TaharezGreenLook" image="GenericBrush" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezGreenLook/GenericBrush" />
                 <ColourProperty name="ClientAreaColour" />
                 <VertFormat type="Stretched" />
@@ -902,5 +1130,5 @@
             <Layer>
                 <Section section="withtitle_frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -919,5 +1147,5 @@
             <Layer>
                 <Section section="withtitle_noframe_client_area">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -936,5 +1164,5 @@
             <Layer>
                 <Section section="notitle_frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -953,26 +1181,17 @@
             <Layer>
                 <Section section="notitle_noframe_client_area">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezGreenLook/GroupBox
-    ***************************************************
-    -->
     <WidgetLook name="TaharezGreenLook/GroupBox">
-        <PropertyDefinition name="FrameColours" initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="BackgroundColours" initialValue="tl:FFDFDFDF tr:FFDFDFDF bl:FFDFDFDF br:FFDFDFDF" redrawOnWrite="true" />
-
-        <PropertyDefinition name="BackgroundTextColours" initialValue="tl:FF000000 tr:FF000000 bl:FF000000 br:FF000000" redrawOnWrite="true" />
-
-	    <PropertyDefinition name="DisabledTextColour" initialValue="FF888888" redrawOnWrite="true" />
-        <PropertyDefinition name="NormalTextColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="TextBackground" initialValue="FF888888" redrawOnWrite="true" />
-
-        <Child type="DefaultWindow" nameSuffix="__auto_contentpane__">
+        <PropertyDefinition initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" name="FrameColours" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="tl:FFDFDFDF tr:FFDFDFDF bl:FFDFDFDF br:FFDFDFDF" name="BackgroundColours" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="tl:FF000000 tr:FF000000 bl:FF000000 br:FF000000" name="BackgroundTextColours" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF888888" name="DisabledTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="NormalTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF888888" name="TextBackground" redrawOnWrite="true" />
+        <Child nameSuffix="__auto_contentpane__" type="DefaultWindow">
             <Area>
                 <Dim type="LeftEdge">
@@ -983,16 +1202,14 @@
                 </Dim>
                 <Dim type="RightEdge">
-                    <UnifiedDim scale="1" offset="0" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <AbsoluteDim value="8" />
-                        </DimOperator>
-                    </UnifiedDim>
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim offset="0" scale="1" type="RightEdge" />
+                        <AbsoluteDim value="8" />
+                    </OperatorDim>
                 </Dim>
                 <Dim type="BottomEdge">
-                    <UnifiedDim scale="1" offset="0" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <AbsoluteDim value="8" />
-                        </DimOperator>
-                    </UnifiedDim>
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim offset="0" scale="1" type="BottomEdge" />
+                        <AbsoluteDim value="8" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -1008,8 +1225,8 @@
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" offset="0" type="RightEdge" />
+                        <UnifiedDim offset="0" scale="1" type="RightEdge" />
                     </Dim>
                     <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" offset="0" type="BottomEdge" />
+                        <UnifiedDim offset="0" scale="1" type="BottomEdge" />
                     </Dim>
                 </Area>
@@ -1028,18 +1245,18 @@
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" offset="0" type="RightEdge" />
+                        <UnifiedDim offset="0" scale="1" type="RightEdge" />
                     </Dim>
                     <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" offset="0" type="BottomEdge" />
-                    </Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="TaharezGreenLook" image="StaticTopLeft" />
-                <Image type="TopRightCorner" imageset="TaharezGreenLook" image="StaticTopRight" />
-                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="StaticBottomLeft" />
-                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="StaticBottomRight" />
-                <Image type="LeftEdge" imageset="TaharezGreenLook" image="StaticLeft" />
-                <Image type="TopEdge" imageset="TaharezGreenLook" image="StaticTop" />
-                <Image type="RightEdge" imageset="TaharezGreenLook" image="StaticRight" />
-                <Image type="BottomEdge" imageset="TaharezGreenLook" image="StaticBottom" />
+                        <UnifiedDim offset="0" scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="TaharezGreenLook/StaticTopLeft" />
+                <Image component="TopRightCorner" name="TaharezGreenLook/StaticTopRight" />
+                <Image component="BottomLeftCorner" name="TaharezGreenLook/StaticBottomLeft" />
+                <Image component="BottomRightCorner" name="TaharezGreenLook/StaticBottomRight" />
+                <Image component="LeftEdge" name="TaharezGreenLook/StaticLeft" />
+                <Image component="TopEdge" name="TaharezGreenLook/StaticTop" />
+                <Image component="RightEdge" name="TaharezGreenLook/StaticRight" />
+                <Image component="BottomEdge" name="TaharezGreenLook/StaticBottom" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -1049,18 +1266,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" >
+                    <Dim type="LeftEdge">
                         <AbsoluteDim value="13" />
                     </Dim>
-                    <Dim type="TopEdge" >
-                        <AbsoluteDim value="0" />
-                    </Dim>
-                    <Dim type="Width" >
-                        <FontDim type="HorzExtent" padding="5" />
-                    </Dim>
-                    <Dim type="Height" >
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <FontDim padding="5" type="HorzExtent" />
+                    </Dim>
+                    <Dim type="Height">
                         <FontDim type="LineSpacing" />
                     </Dim>
                 </Area>
-                <Image imageset="TaharezGreenLook" image="StaticBackdrop" />
+                <Image name="TaharezGreenLook/StaticBackdrop" />
                 <ColourRectProperty name="BackgroundTextColours" />
                 <VertFormat type="Stretched" />
@@ -1080,6 +1297,6 @@
             <Layer>
                 <Section section="frame" />
-                    <Section section="label_bg" />
-                    <Section section="label">
+                <Section section="label_bg" />
+                <Section section="label">
                     <ColourProperty name="DisabledTextColour" />
                 </Section>
@@ -1087,33 +1304,28 @@
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezGreenLook/ProgressBar
-    ***************************************************
-    -->
     <WidgetLook name="TaharezGreenLook/ProgressBar">
         <NamedArea name="ProgressArea">
             <Area>
-                <Dim type="LeftEdge" >
-                    <ImageDim imageset="TaharezGreenLook" image="ProgressBarLeft" dimension="Width">
-                        <DimOperator op="Divide">
+                <Dim type="LeftEdge">
+                    <OperatorDim op="Divide">
+                        <ImageDim dimension="Width" name="TaharezGreenLook/ProgressBarLeft" />
+                        <AbsoluteDim value="2" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <OperatorDim op="Divide">
+                            <ImageDim dimension="Width" name="TaharezGreenLook/ProgressBarRight" />
                             <AbsoluteDim value="2" />
-                        </DimOperator>
-                    </ImageDim>
-                </Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezGreenLook" image="ProgressBarRight" dimension="Width">
-                                <DimOperator op="Divide">
-                                    <AbsoluteDim value="2" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
         </NamedArea>
@@ -1121,24 +1333,40 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="LeftEdge" imageset="TaharezGreenLook" image="ProgressBarLeft" />
-                <Image type="RightEdge" imageset="TaharezGreenLook" image="ProgressBarRight" />
-                <Image type="Background" imageset="TaharezGreenLook" image="ProgressBarMiddle" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="LeftEdge" name="TaharezGreenLook/ProgressBarLeft" />
+                <Image component="RightEdge" name="TaharezGreenLook/ProgressBarRight" />
+                <Image component="Background" name="TaharezGreenLook/ProgressBarMiddle" />
                 <HorzFormat type="Tiled" />
             </FrameComponent>
         </ImagerySection>
-        <ImagerySection name="progress_lights" >
-            <ImageryComponent>
-                <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="TaharezGreenLook" image="ProgressBarLitSegment" />
+        <ImagerySection name="progress_lights">
+            <ImageryComponent>
+                <Area>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezGreenLook/ProgressBarLitSegment" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Tiled" />
